IRPCPropertyDefsAdmin.IsPropertyFullTextSearchIndexable

View as Markdown

Administration API / specialized admin session idempotent

Tells whether the values of a property definition are indexed for full-text search.

ServiceProperty definition and class administration MFiles.IRPCPropertyDefsAdmin
gRPC method/MFiles.IRPCPropertyDefsAdmin/IsPropertyFullTextSearchIndexable
HTTP (mf-http-grpc)POST /grpc/v1/is-property-full-text-search-indexable
RequestIsPropertyFullTextSearchIndexableRequest
ResponseIsPropertyFullTextSearchIndexableResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: IsPropertyFullTextSearchIndexableRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
property_defint32The PropertyDef to get information on.

Response: IsPropertyFullTextSearchIndexableResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
indexableboolReceives true if indexable, false otherwise.